Description

1. Proposed title of this feature request

[RFE] To have "reclaim-space" option introduced for "hammer capsule content" command.

2. What is the nature and description of the request?

Modofication of hammer-cli-katello related code to include a hammer based option and allow running reclaim-space operation on any

external capsule server from command line

3. Why does the customer need this? (List the business requirements here)

For Repository, we have a reclaim space option present in UI, API as well as in hammer.

For external capsules, Only UI and API, have the options but hammer still does not have the feature included. As hammer is much

easy touse than executing an API call, It is highly recommended to have the "reclaim-space" option introduced in "hammer capsule

content" command.

4. How would the customer like to achieve this? (List the functional requirements here)

1. hammer capsule content reclaim-space --id X

Executing this command should trigger the Actions::Pulp3::CapsuleContent::ReclaimSpace task as expected for capsule with ID X.

It should be possible to trigger task in both Sync and Async manner.

5. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully

implemented.

Same as above

6. Is there already an existing RFE upstream or in Red Hat Bugzilla?

No

7. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

As soon as possible

8. Is the sales team involved in this request and do they have any additional input?

No

9. List any affected packages or components.

rubygem-hammer_cli_katello
10. Would the customer be able to assist in testing this functionality if implemented?

Yes and so as the RH support

Related issues:

Has duplicate Katello - Feature #36008: Reclaim space for smart proxy hammer ... Duplicate

Associated revisions

Revision f247480e - 09/27/2023 06:10 PM - Chris Roberts

Fixes #36777 - Add reclaim-space to capsule content command

History

#1 - 09/25/2023 05:44 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/hammer-cli-katello/pull/909 added

#2 - 09/27/2023 05:46 PM - Quinn James

- Triaged changed from No to Yes

#3 - 09/27/2023 07:00 PM - Chris Roberts

- Status changed from Ready For Testing to Closed

Applied in changeset hammer-cli-katello|f247480e04e26134f4002572f7f6e12feee22495.

#4 - 12/20/2023 08:46 PM - Ian Ballou

- Has duplicate Feature #36008: Reclaim space for smart proxy hammer support added
